Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm not able to install python-kivy, I got this error:

dpkg: error while cleaning up:
 subprocess installed post-installation script returned error exit status 127
Processing triggers for libreoffice-common ...

Errors were encountered while processing:
 /var/cache/apt/archives/update-manager-core_1%3a0.156.14.15_amd64.deb
 /var/cache/apt/archives/update-manager_1%3a0.156.14.15_all.deb
 /var/cache/apt/archives/python-uno_1%3a3.5.7-0ubuntu6.1_amd64.deb
 /var/cache/apt/archives/python-ubuntuone-client_3.0.2-0ubuntu2.2_all.deb
 /var/cache/apt/archives/python-libxml2_2.7.8.dfsg-5.1ubuntu4.9_amd64.deb
 /var/cache/apt/archives/python-lxml_2.3.2-1_amd64.deb

E: Sub-process /usr/bin/dpkg returned an error code (1)
share|improve this question
    
how did you install it? –  Creator Jul 19 at 10:50
    
kivy is a beast to get working on ubuntu mostly. It's a beast of a solution, and I like it a lot... It's too troublesome to use OOTB though. –  hbdgaf Jul 19 at 10:59
    
sudo apt-get install python-kivy, Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to locate package python-kivy –  Geo Jacob Jul 21 at 12:12

1 Answer 1

you need to force overwriting the packages this problem comes with repositories

sudo dpkg -i --force-overwrite <filename>

and then run dpkg

sudo apt-get -f install

see this for more help on dpkg and this for more help on this error

share|improve this answer
    
Have you tried this?. Why do you know that it needs forve-overwrite?. The problem looks different than those on your links to me. –  Javier Rivera Jul 21 at 6:05

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.